Index: code/branches/ogre1.9/data/gui/layouts/AudioMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/AudioMenu.layout	(revision 11125)
+++ code/branches/ogre1.9/data/gui/layouts/AudioMenu.layout	(revision 11211)
@@ -1,129 +1,128 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/AudioBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioWindow" >
-            <Property Name="Text" Value="Audio" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.2875,0},{0.8,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/MasterVolume" >
-                <Property Name="Text" Value="Master volume               " />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.15,0},{0.5625,0},{0.3525,0}}" />
-                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MasterScrollbar" >
-                    <Property Name="PageSize" Value="0" />
-                    <Property Name="StepSize" Value="1" />
-                    <Property Name="OverlapSize" Value="0" />
-                    <Property Name="DocumentSize" Value="1" />
-                    <Property Name="ScrollPosition" Value="0" />
-                    <Property Name="StepSize" Value="0.1" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.04,0},{0.6,0},{0.71,0},{0.8,0}}" />
-                    <Event Name="ThumbTrackStarted" Function="AudioMenu.AudioMasterScrollbar_started" />
-                    <Event Name="ThumbTrackEnded" Function="AudioMenu.AudioMasterScrollbar_ended" />
-                    <Event Name="ScrollPosChanged" Function="AudioMenu.AudioMasterScrollbar_changed" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="AudioBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="AudioWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Audio" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.2,0},{0.2875,0},{0.8,0},{0.6375,0}}" />
+            <Window name="MasterVolume" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Master volume               " />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.041666,0},{0.15,0},{0.5625,0},{0.3525,0}}" />
+                <Window name="MasterScrollbar" type="MenuWidgets/HorizontalScrollbar">
+                    <Property name="PageSize" value="0" />
+                    <Property name="StepSize" value="1" />
+                    <Property name="OverlapSize" value="0" />
+                    <Property name="DocumentSize" value="1" />
+                    <Property name="ScrollPosition" value="0" />
+                    <Property name="StepSize" value="0.1" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.04,0},{0.6,0},{0.71,0},{0.8,0}}" />
+                    <Event function="AudioMenu.AudioMasterScrollbar_started" name="ThumbTrackStarted" />
+                    <Event function="AudioMenu.AudioMasterScrollbar_ended" name="ThumbTrackEnded" />
+                    <Event function="AudioMenu.AudioMasterScrollbar_changed" name="ScrollPosChanged" />
                 </Window>
-                <Window Type="MenuWidgets/Checkbox" Name="orxonox/MasterCheckbox" >
-                    <Property Name="Text" Value="Mute" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
-                    <Event Name="CheckStateChanged" Function="AudioMenu.AudioMuteMasterCheckbox_clicked"/>
+                <Window name="MasterCheckbox" type="MenuWidgets/Checkbox">
+                    <Property name="Text" value="Mute" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
+                    <Event function="AudioMenu.AudioMuteMasterCheckbox_clicked" name="CheckStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/MusicVolume" >
-                <Property Name="Text" Value="Music volume               " />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.4335,0},{0.5625,0},{0.636,0}}" />
-                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
-                    <Property Name="PageSize" Value="0" />
-                    <Property Name="StepSize" Value="1" />
-                    <Property Name="OverlapSize" Value="0" />
-                    <Property Name="DocumentSize" Value="1" />
-                    <Property Name="ScrollPosition" Value="0" />
-                    <Property Name="StepSize" Value="0.1" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.04,0},{0.6,0},{0.71,0},{0.8,0}}" />
-                    <Event Name="ThumbTrackStarted" Function="AudioMenu.AudioMusicScrollbar_started" />
-                    <Event Name="ThumbTrackEnded" Function="AudioMenu.AudioMusicScrollbar_ended" />
-                    <Event Name="ScrollPosChanged" Function="AudioMenu.AudioMusicScrollbar_changed" />
+            <Window name="MusicVolume" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Music volume               " />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.041666,0},{0.4335,0},{0.5625,0},{0.636,0}}" />
+                <Window name="MusicScrollbar" type="MenuWidgets/HorizontalScrollbar">
+                    <Property name="PageSize" value="0" />
+                    <Property name="StepSize" value="1" />
+                    <Property name="OverlapSize" value="0" />
+                    <Property name="DocumentSize" value="1" />
+                    <Property name="ScrollPosition" value="0" />
+                    <Property name="StepSize" value="0.1" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.04,0},{0.6,0},{0.71,0},{0.8,0}}" />
+                    <Event function="AudioMenu.AudioMusicScrollbar_started" name="ThumbTrackStarted" />
+                    <Event function="AudioMenu.AudioMusicScrollbar_ended" name="ThumbTrackEnded" />
+                    <Event function="AudioMenu.AudioMusicScrollbar_changed" name="ScrollPosChanged" />
                 </Window>
-                <Window Type="MenuWidgets/Checkbox" Name="orxonox/MusicCheckbox" >
-                    <Property Name="Text" Value="Mute" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
-                    <Event Name="CheckStateChanged" Function="AudioMenu.AudioMuteMusicCheckbox_clicked"/>
+                <Window name="MusicCheckbox" type="MenuWidgets/Checkbox">
+                    <Property name="Text" value="Mute" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
+                    <Event function="AudioMenu.AudioMuteMusicCheckbox_clicked" name="CheckStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/EffectsVolume" >
-                <Property Name="Text" Value="Effects volume               " />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.717,0},{0.5625,0},{0.9195,0}}" />
-                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/EffectsScrollbar" >
-                    <Property Name="PageSize" Value="0" />
-                    <Property Name="StepSize" Value="1" />
-                    <Property Name="OverlapSize" Value="0" />
-                    <Property Name="DocumentSize" Value="1" />
-                    <Property Name="ScrollPosition" Value="0" />
-                    <Property Name="StepSize" Value="0.1" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.04,0},{0.6,0},{0.71,0},{0.8,0}}" />
-                    <Event Name="ThumbTrackStarted" Function="AudioMenu.AudioEffectsScrollbar_started" />
-                    <Event Name="ThumbTrackEnded" Function="AudioMenu.AudioEffectsScrollbar_ended" />
-                    <Event Name="ScrollPosChanged" Function="AudioMenu.AudioEffectsScrollbar_changed" />
+            <Window name="EffectsVolume" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Effects volume               " />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.041666,0},{0.717,0},{0.5625,0},{0.9195,0}}" />
+                <Window name="EffectsScrollbar" type="MenuWidgets/HorizontalScrollbar">
+                    <Property name="PageSize" value="0" />
+                    <Property name="StepSize" value="1" />
+                    <Property name="OverlapSize" value="0" />
+                    <Property name="DocumentSize" value="1" />
+                    <Property name="ScrollPosition" value="0" />
+                    <Property name="StepSize" value="0.1" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.04,0},{0.6,0},{0.71,0},{0.8,0}}" />
+                    <Event function="AudioMenu.AudioEffectsScrollbar_started" name="ThumbTrackStarted" />
+                    <Event function="AudioMenu.AudioEffectsScrollbar_ended" name="ThumbTrackEnded" />
+                    <Event function="AudioMenu.AudioEffectsScrollbar_changed" name="ScrollPosChanged" />
                 </Window>
-                <Window Type="MenuWidgets/Checkbox" Name="orxonox/EffectsCheckbox" >
-                    <Property Name="Text" Value="Mute" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
-                    <Event Name="CheckStateChanged" Function="AudioMenu.AudioMuteEffectsCheckbox_clicked"/>
+                <Window name="EffectsCheckbox" type="MenuWidgets/Checkbox">
+                    <Property name="Text" value="Mute" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
+                    <Event function="AudioMenu.AudioMuteEffectsCheckbox_clicked" name="CheckStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioTheme" >
-                <Property Name="Text" Value="Theme" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.15,0},{0.958333,0},{0.636,0}}" />
-                <Window Type="MenuWidgets/Listbox" Name="orxonox/AudioThemeListbox" >
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.225,0},{0.95,0},{0.92,0}}" />
-                    <Event Name="ItemSelectionChanged" Function="AudioMenu.AudioThemeListbox_changed" />
+            <Window name="AudioTheme" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Theme" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.604166,0},{0.15,0},{0.958333,0},{0.636,0}}" />
+                <Window name="AudioThemeListbox" type="MenuWidgets/Listbox">
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.05,0},{0.225,0},{0.95,0},{0.92,0}}" />
+                    <Event function="AudioMenu.AudioThemeListbox_changed" name="ItemSelectionChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioInfo" >
-                <Property Name="Text" >Theme changes might take
+            <Window name="AudioInfo" type="MenuWidgets/StaticText">
+                <Property name="Text">Theme changes might take
 up to a minute.</Property>
-                <Property Name="TextColours" Value="FFFFFFFF" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.717,0},{0.958333,0},{0.9195,0}}" />
+                <Property name="TextColours" value="FFFFFFFF" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.604166,0},{0.717,0},{0.958333,0},{0.9195,0}}" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/AudioBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="AudioMenu.AudioBackButton_clicked" />
+        <Window name="AudioBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="AudioMenu.AudioBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
